package com.example.sncaugmentedrealityvirtual_tour.snc_augmented_reality_virtual_tour;

//Adapter that allows admin listview on Admin_main to be easily added, deleted, and updated.

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Mike Philipps on 4/27/2016.
 */

//https://www.youtube.com/watch?v=3k3CunDZpFk
public class ContactAdapter extends ArrayAdapter {

    List list = new ArrayList();
    public ContactAdapter(Context context, int resource) {
        super(context, resource);
    }

    //add contact
    public void add(Contacts object) {
        list.add(object);
    }

    //gets list size/count
    @Override
    public int getCount() {
        return list.size();
    }

    //gets position of the item in the list
    @Override
    public Object getItem(int position) {
        return list.get(position);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row;
        row = convertView;
        ContactHolder contactHolder;
        if(row == null)
        {
            LayoutInflater layoutInflater = (LayoutInflater)this.getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            row = layoutInflater.inflate(R.layout.admin_listview,parent,false);
            contactHolder = new ContactHolder();
            contactHolder.tx_email = (TextView)row.findViewById(R.id.tx_email);
            row.setTag(contactHolder);
        }
        else
        {
            contactHolder = (ContactHolder)row.getTag();
        }

        Contacts contacts = (Contacts)this.getItem(position);
        contactHolder.tx_email.setText(contacts.getEmail());

        return row;
    }

    //just holds the TextView tx_email
    static class ContactHolder
    {
        TextView tx_email;
    }
}
